package com.awspaas.user.apps.donenow_ctt.event;

import com.actionsoft.bpms.bpmn.engine.core.delegate.ProcessExecutionContext;
import com.actionsoft.bpms.bpmn.engine.listener.ExecuteListener;
import com.awspaas.user.apps.donenow_ctt.service.contractService;

public class contractCreateFormAfterSave extends ExecuteListener {

    public String getDescription() {
        return "合同创建保存后事件";
    }

    public String getProvider() {
        return "";
    }

    public String getVersion() {
        return "1.0";
    }

    /**
     *
     * @param processExecutionContext
     * @throws Exception
     */
    @Override
    public void execute(ProcessExecutionContext processExecutionContext) throws Exception {
        String bindid = processExecutionContext.getProcessInstance().getId();

        contractService.getInstance().SaveContract(processExecutionContext.getUserContext(), bindid, false);//保存合同


    }
}
